//
//  WA_WallpaperCollectionCell.swift
//  wallpaper_project
//
//  Created by 忆海16 on 2024/3/11.
//

import UIKit
import SDWebImage

class WA_WallpaperCollectionCell: UICollectionViewCell {
    @IBOutlet weak var wpImagV: UIImageView!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        self.wpImagV.layer.cornerRadius = 10
        self.wpImagV.layer.cornerRadius = 10
    }
    
    var model:WA_3DModel?{
        didSet{
            if let imageURL = URL(string: model!.thumbnail ?? "") {
//                wpImagV.sd_setImage(with: imageURL, completed: nil)
                wpImagV.sd_setImage(with: imageURL, placeholderImage: UIImage(named: "Rectangle"))
                }
            
        }
    }
}
